Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Class ARPHandlers

    java.lang.Object
      com.hp.hpl.jena.rdf.arp.ARPHandlers

    public class ARPHandlers

extends java.lang.Object

The interface to set the various handlers on ARP. User defined implementations of this interface are not supported. This is a class rather than an interface to have better backward compatibilitiy with earlier versions, however constructing instances of this class is deprecated.

Author:
  Jeremy J. Carroll

Constructor Summary
`ARPHandlers()` Deprecated. Use `ARPConfig.getHandlers()`

Method Summary
`org.xml.sax.ErrorHandler` | `getErrorHandler()` Gets the current error handler.
`ExtendedHandler` | `getExtendedHandler()` Gets the current extended handler.
`NamespaceHandler` | `getNamespaceHandler()` Gets the current namespace handler.
`StatementHandler` | `getStatementHandler()` Gets the current statement handler.
`org.xml.sax.ErrorHandler` | `setErrorHandler(org.xml.sax.ErrorHandler eh)` Sets the error handler, for both XML and RDF parse errors.
`ExtendedHandler` | `setExtendedHandler(ExtendedHandler sh)` Sets the ExtendedHandler that provides the callback mechanism for bnodes as they leave scope, and for the start and end of rdf:RDF elements.
`NamespaceHandler` | `setNamespaceHandler(NamespaceHandler sh)` Sets the NamespaceHandler that provides the callback mechanism for XML namespace declarations.
`StatementHandler` | `setStatementHandler(StatementHandler sh)` Sets the StatementHandler that provides the callback mechanism for each triple in the file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ARPHandlers

    public ARPHandlers()

  Deprecated. Use `ARPConfig.getHandlers()`

  Do not use this constructor. An example of not using this constructor is as follows.
  Deprecated usage:

              ARP arp = new ARP();
              ARPHandlers handlers = new ARPHandlers();
              handlers.setStatementHandler(new MyStatementHandler());

  Preferred code:

              ARP arp = new ARP();
              ARPHandlers handlers = arp.getHandlers();
              handlers.setStatementHandler(new MyStatementHandler());

Method Detail

### setExtendedHandler

    public ExtendedHandler setExtendedHandler(ExtendedHandler sh)

  Sets the ExtendedHandler that provides the callback mechanism for bnodes as they leave scope, and for the start and end of rdf:RDF elements.

  See note about large files in `ARP` class documentation.

  Parameters:
    `sh` - The handler to use.
  Returns:
    The old handler.

### setNamespaceHandler

    public NamespaceHandler setNamespaceHandler(NamespaceHandler sh)

  Sets the NamespaceHandler that provides the callback mechanism for XML namespace declarations.

  Parameters:
    `sh` - The handler to use.
  Returns:
    The old handler.

### setStatementHandler

    public StatementHandler setStatementHandler(StatementHandler sh)

  Sets the StatementHandler that provides the callback mechanism for each triple in the file.

  Parameters:
    `sh` - The statement handler to use.
  Returns:
    The old statement handler.

### setErrorHandler

    public org.xml.sax.ErrorHandler setErrorHandler(org.xml.sax.ErrorHandler eh)

  Sets the error handler, for both XML and RDF parse errors. XML errors are reported by Xerces, as instances of SAXParseException; the RDF errors are reported from ARP as instances of ParseException. Code that needs to distingusih between them may look like:

          void error( SAXParseException e ) throws SAXException {
            if ( e instanceof com.hp.hpl.jena.rdf.arp.ParseException ) {
                 ...
            } else {
                 ...
            }
          }

  See the ARP documentation for ErrorHandler for details of the ErrorHandler semantics (in particular how to upgrade a warning to an error, and an error to a fatalError).

  The Xerces/SAX documentation for ErrorHandler is available on the web.

  Parameters:
    `eh` - The error handler to use.
  Returns:
    The previous error handler.

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Gets the current error handler.

### getNamespaceHandler

    public NamespaceHandler getNamespaceHandler()

  Gets the current namespace handler.

### getExtendedHandler

    public ExtendedHandler getExtendedHandler()

  Gets the current extended handler.

### getStatementHandler

    public StatementHandler getStatementHandler()

  Gets the current statement handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP